"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.widthResponsive = widthResponsive;
exports.heightResponsive = heightResponsive;
exports.fontResponsive = fontResponsive;

var _util = require("./util");

const enableOnlySmallSize = true;
const defaultSize = {
  width: 375,
  height: 812
};

function widthResponsive(width) {
  const ratio = width / defaultSize.width * 100;
  const responsiveWidth = (0, _util.getResponsiveValue)('WIDTH', ratio);

  if (enableOnlySmallSize && responsiveWidth > width) {
    return width;
  }

  return responsiveWidth;
}

function heightResponsive(height) {
  const ratio = height / defaultSize.height * 100;
  const responsiveHeight = (0, _util.getResponsiveValue)('HEIGHT', ratio);

  if (enableOnlySmallSize && responsiveHeight > height) {
    return height;
  }

  return responsiveHeight;
}

function fontResponsive(font) {
  const ratio = font / defaultSize.width * 100;
  const responsiveFont = (0, _util.getResponsiveValue)('FONT', ratio);

  if (enableOnlySmallSize && responsiveFont > font) {
    return font;
  }

  return responsiveFont;
}
//# sourceMappingURL=index.js.map