"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getResponsiveValue = void 0;

var _reactNative = require("react-native");

var _type = require("../type");

const appScreen = _reactNative.Dimensions.get('window');

const getResponsiveValue = (type, ratio) => {
  let screenValue = 0;

  if (type === _type.RESPONSIVE_TYPE['WIDTH']) {
    screenValue = appScreen.width;
  } else if (type === _type.RESPONSIVE_TYPE['HEIGHT']) {
    screenValue = appScreen.height;
  } else if (type === _type.RESPONSIVE_TYPE['FONT']) {
    screenValue = appScreen.width;
  }

  return _reactNative.PixelRatio.roundToNearestPixel(screenValue * ratio / 100);
};

exports.getResponsiveValue = getResponsiveValue;
//# sourceMappingURL=index.js.map