import { getResponsiveValue } from './util';
const enableOnlySmallSize = true;
const defaultSize = {
  width: 375,
  height: 812
};

function widthResponsive(width) {
  const ratio = width / defaultSize.width * 100;
  const responsiveWidth = getResponsiveValue('WIDTH', ratio);

  if (enableOnlySmallSize && responsiveWidth > width) {
    return width;
  }

  return responsiveWidth;
}

function heightResponsive(height) {
  const ratio = height / defaultSize.height * 100;
  const responsiveHeight = getResponsiveValue('HEIGHT', ratio);

  if (enableOnlySmallSize && responsiveHeight > height) {
    return height;
  }

  return responsiveHeight;
}

function fontResponsive(font) {
  const ratio = font / defaultSize.width * 100;
  const responsiveFont = getResponsiveValue('FONT', ratio);

  if (enableOnlySmallSize && responsiveFont > font) {
    return font;
  }

  return responsiveFont;
}

export { widthResponsive, heightResponsive, fontResponsive };
//# sourceMappingURL=index.js.map